|  | Home · All Classes · Modules

# QSysInfo Class Reference
[QtCore module]

The QSysInfo class provides information about the system. More...

### Types

- enum Endian { BigEndian, LittleEndian, ByteOrder }
- enum MacVersion { MV_Unknown, MV_9, MV_10_0, MV_10_1, ..., MV_LION }
- enum Sizes { WordSize }

### Methods

- __init__ (self)
- __init__ (self, QSysInfo)

### Static Members

- MacVersion MacintoshVersion

## Detailed Description

The QSysInfo class provides information about the system.

- WordSize specifies the size of a pointer for the platform on which the application is compiled.
- ByteOrder specifies whether the platform is big-endian or little-endian.
- WindowsVersion specifies the version of the Windows operating system on which the application is run (Windows only)
- MacintoshVersion specifies the version of the Macintosh operating system on which the application is run (Mac only).

Some constants are defined only on certain platforms. You can use the preprocessor symbols Q_WS_WIN and Q_WS_MAC to test that the application is compiled under Windows or Mac.

## Type Documentation

### QSysInfo.Endian

Constant | Value | Description
--- | --- | ---
`QSysInfo.BigEndian` | `0` | Big-endian byte order (also called Network byte order)
`QSysInfo.LittleEndian` | `1` | Little-endian byte order
`QSysInfo.ByteOrder` | `<platform-dependent>` | Equals BigEndian or LittleEndian, depending on the platform's byte order.

### QSysInfo.MacVersion

This enum provides symbolic names for the various versions of the OS X operating system. On OS X, the QSysInfo.MacintoshVersion variable gives the version of the system on which the application is run.

Constant | Value | Description
--- | --- | ---
`QSysInfo.MV_9` | `0x0001` | Mac OS 9 (unsupported)
`QSysInfo.MV_10_0` | `0x0002` | Mac OS X 10.0 (unsupported)
`QSysInfo.MV_10_1` | `0x0003` | Mac OS X 10.1 (unsupported)
`QSysInfo.MV_10_2` | `0x0004` | Mac OS X 10.2 (unsupported)
`QSysInfo.MV_10_3` | `0x0005` | Mac OS X 10.3
`QSysInfo.MV_10_4` | `0x0006` | Mac OS X 10.4
`QSysInfo.MV_10_5` | `0x0007` | Mac OS X 10.5
`QSysInfo.MV_10_6` | `0x0008` | Mac OS X 10.6
`QSysInfo.MV_10_7` | `0x0009` | OS X 10.7
`QSysInfo.MV_10_8` | `0x000A` | OS X 10.8
`QSysInfo.MV_10_9` | `0x000B` | OS X 10.9
`QSysInfo.MV_10_10` | `0x000C` | OS X 10.10
`QSysInfo.MV_Unknown` | `0x0000` | An unknown and currently unsupported platform
`QSysInfo.MV_CHEETAH` | `MV_10_0` | Apple codename for MV_10_0
`QSysInfo.MV_PUMA` | `MV_10_1` | Apple codename for MV_10_1
`QSysInfo.MV_JAGUAR` | `MV_10_2` | Apple codename for MV_10_2
`QSysInfo.MV_PANTHER` | `MV_10_3` | Apple codename for MV_10_3
`QSysInfo.MV_TIGER` | `MV_10_4` | Apple codename for MV_10_4
`QSysInfo.MV_LEOPARD` | `MV_10_5` | Apple codename for MV_10_5
`QSysInfo.MV_SNOWLEOPARD` | `MV_10_6` | Apple codename for MV_10_6
`QSysInfo.MV_LION` | `MV_10_7` | Apple codename for MV_10_7
`QSysInfo.MV_MOUNTAINLION` | `MV_10_8` | Apple codename for MV_10_8
`QSysInfo.MV_MAVERICKS` | `MV_10_9` | Apple codename for MV_10_9
`QSysInfo.MV_YOSEMITE` | `MV_10_10` | Apple codename for MV_10_10

See also WinVersion and SymbianVersion.

### QSysInfo.Sizes

This enum provides platform-specific information about the sizes of data structures used by the underlying architecture.

Constant | Value | Description
--- | --- | ---
`QSysInfo.WordSize` | `( sizeof( void * ) <<3 )` | The size in bits of a pointer for the platform on which the application is compiled (32 or 64).

## Method Documentation

### QSysInfo.__init__ (self)

### QSysInfo.__init__ (self, QSysInfo)

## Member Documentation

### MacVersion MacintoshVersion

This member should be treated as a constant.

This variable holds the version of the Macintosh operating system on which the application is run (Mac only).